#include <iostream>
#include <exception>
#include <mt4cpp/SerialPort.hpp>

using namespace mt4cpp;

int main() {
    try {
		SerialPort s("/dev/ttyUSB1", boost::chrono::milliseconds(50) );
		//SerialPort s("COM34", boost::chrono::milliseconds(50) );
		std::string out("output");
		s.write( std::vector<char>(out.begin(), out.end() ) );
    } catch(std::exception& e) {
		std::cerr << e.what() << std::endl;
    }
    return 0;
}
